
Figure - Bug #118579
IOVDEV-32849【内部】【VC1】【0106】【台架】【EE环境】【副屏】【第三方应用】内存写满至86%，QQ
音乐HD音乐无法正常播放
2023-06-06 16:36 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-06

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当焦点获取失败时，会去调用暂停player，QQ音乐HD检测到暂停，立马重新播放，导致了进度很快，又不出声的现象。����

Description

【环境信息】：EE环境

【问题出现时间】：2023/06/06 09:35 第204次开机

【前提条件】：电源ON

【操作步骤】：

1、使用adb命令将内从写满至86%

2、打开QQ音乐HD

3、播放音乐

【实际结果】

播放的音乐异常

【期望结果】

正常播放或弹出内存已满的提示

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】QQ音乐HD 4.12.1.4

History

#1 - 2023-06-06 16:37 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118579

#2 - 2023-06-07 09:38 - CD TEST-方永红

- File 1686101816507.zip added

#3 - 2023-06-07 09:51 - CD TEST-方永红
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118579


- File 1686102605397.zip added

#4 - 2023-06-07 10:05 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

如飞书沟通，请帮忙检查下，qq音乐播放进度条乱跳的问题

内存使用85%的情况，应该是不影响使用的

#5 - 2023-06-07 19:33 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前分析：

从日志中发现的异常，在11：20 -11：22时间段内，

出现播放获取焦点反复失败，去多次paused的动作。

logcat/000204_persist_03521_230606_112240.log:1293:06-06 11:22:40.357  1565  6345 D AudioService.PlaybackActivityMonitor:

idcm_af:requestAudioFocusToIDCM: event=2(PLAYER_STATE_STARTED)apc =AudioPlaybackConfiguration piid:1127 deviceId:3

type:android.media.AudioTrack u/pid:10103/12652 state:paused attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC

flags=0xA00 tags= bundle=null sessionId:977

logcat/000204_persist_03521_230606_112240.log:1294:06-06 11:22:40.357  1565  6345 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus, 

streamtype = 3

logcat/000204_persist_03521_230606_112240.log:1295:06-06 11:22:40.357  1565  6345 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,

voice calling,media focus return failed 

logcat/000204_persist_03521_230606_112240.log:1296:06-06 11:22:40.357  1565  6345 D AudioService.PlaybackActivityMonitor:

idcm_af:requestAudioFocusToIDCM -> pausePlayer: 1127

logcat/000204_persist_03521_230606_112240.log:1297:06-06 11:22:40.357 20006 20006 I Hack.Activity: AMS >> refContentProvider

logcat/000204_persist_03521_230606_112240.log:1298:06-06 11:22:40.358  1565  6345 D AudioService.PlaybackActivityMonitor: idcm_af:pausePlayer apc=

AudioPlaybackConfiguration piid:1127 deviceId:3 type:android.media.AudioTrack u/pid:10103/12652 state:paused attr:AudioAttributes:

usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0xA00 tags= bundle=null sessionId:977

logcat/000204_persist_03521_230606_112240.log:1299:06-06 11:22:40.358  1565  6345 W AudioService.PlaybackActivityMonitor: idcm_warn: ====rejected by

IDCM: PLAYER_STATE_STARTED

下一步

进一步调查导致焦点获取失败的原因，

获取失败后，QQ音乐HD的动作。

#6 - 2023-06-08 14:51 - Multimedia组-RD3_TSCD 梁卿山

- File 飞书20230608-145039.mp4 added

#7 - 2023-06-08 20:06 - Multimedia组-RD3_TSCD 梁卿山

- Resolution deleted (--)
HI ALL

当前分析：

1.焦点获取失败的原因是，此时副屏在VOIP通话状态，所以media焦点获取失败。

2.当焦点获取失败时，会去调用暂停player，QQ音乐HD检测到暂停，

立马重新播放，导致了进度很快，又不出声的现象。

结果：

该问题已经被118572的修复方案修复

下一步：

1.当前看视频没有在通话，需要再调查一下，为什么副屏焦点处在通话状态中。

#8 - 2023-06-09 10:27 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution set to FIXED

- Degrated changed from -- to No

- Root cause set to 当焦点获取失败时，会去调用暂停player，QQ音乐HD检测到暂停，立马重新播放，导致了进度很快，又不出声的现象。

HI ALL

根据当前日志分析：

在11点19分时开启了通话，后面没发现再有关闭通话的日志，所以该场景是在通话过程中发生的。

000204_persist_02845_230606_111913.log:664:06-06 11:19:15.702   806  9209 D audio_hw_primary: adev_set_mode: mode 3 , prev_mode 0  ★★★开启通话

总结：

1.当前测试环境是在通话过程中操作的，音乐播放会获取焦点失败，该动作正常。

2.当焦点获取失败时，会去调用暂停player，QQ音乐HD检测到暂停，

立马重新播放，导致了进度很快，又不出声的现象。 （问题根本原因）

必现操作步骤：

1.副屏VOIP通话中

2.QQ音乐HD播放音乐

结果：

该问题已经被118572的修复方案修复，请使用新版本验证，谢谢!

#9 - 2023-06-12 16:14 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306100050版本验证通过

#10 - 2023-06-14 17:43 - CDTS_Test 吴诗雨
- Status changed from VERIFIED to VERIFY_FAILED

110版本（0613版本）验证失败，拨打电话时播放QQ音乐HD，未暂停

#11 - 2023-06-14 17:43 - CDTS_Test 吴诗雨

- Status changed from VERIFY_FAILED to ASSIGNED

- Assignee changed from CD TEST-方永红 to Multimedia组-RD3_TSCD 梁卿山

#12 - 2023-06-14 17:53 - Multimedia组-RD3_TSCD 梁卿山

Hi 诗雨

由于当前暂停音乐采用的类似拔出耳机的广播方法，

QQ音乐HD版本对该广播不做处理，导致没有暂停，

类似游戏声音可以被mute。

#13 - 2023-06-20 16:09 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

HI 诗雨

该问题在jira上已经验证通过，请关闭，谢谢！

#14 - 2023-06-25 13:44 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#15 - 2023-06-25 13:44 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1686101816507.zip 19.1 MB 2023-06-07 CD TEST-方永红

1686102605397.zip 7.58 MB 2023-06-07 CD TEST-方永红

飞书20230608-145039.mp4 16.9 MB 2023-06-08 Multimedia组-RD3_TSCD 梁卿山
